FMOD(3)

NAME
fmod, fmodf, fmodl - floating-point remainder functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
fmod(double x, double y);
float
fmodf(float x, float y);
long double
fmodl(long double x, long double y);

DESCRIPTION
The fmod(), fmodf(), and fmodl() functions compute the floating-point remainder of x/ y.

RETURN VALUES
If y is non-zero, the fmod(), fmodf(), and fmodl() functions return the value x-i*y, for some integer i, such that the result has the same sign as x and magnitude less than the magnitude of y. If y is zero, a is produced.

SEE ALSO
math(3)

STANDARDS
The fmod(), fmodf(), and fmodl() functions conform to isoC-99.